%global packname  dtplyr
%global rlibdir  %{_datadir}/R/library

# Not yet available.
%global with_suggests 0

Name:             R-%{packname}
Version:          0.0.3
Release:          1%{?dist}
Summary:          Data Table Back-End for 'dplyr'

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
Patch0001:        0001-Skip-Lahman-requiring-tests.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-dplyr >= 0.5.0, R-data.table >= 1.9.6, R-lazyeval, R-rlang
# Suggests:  R-Lahman, R-nycflights13, R-testthat, R-covr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-dplyr >= 0.5.0
Requires:         R-data.table >= 1.9.6
Requires:         R-lazyeval
Requires:         R-rlang
Suggests:         R-Lahman
Suggests:         R-nycflights13
Suggests:         R-testthat
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-dplyr >= 0.5.0
BuildRequires:    R-data.table >= 1.9.6
BuildRequires:    R-lazyeval
BuildRequires:    R-rlang
BuildRequires:    R-nycflights13
BuildRequires:    R-testthat
%if %{with_suggests}
BuildRequires:    R-Lahman
%endif

%description
This implements the data table back-end for 'dplyr' so that you can seamlessly
use data table and 'dplyr' together.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%patch0001 -p1

# Don't need coverage; it's not packaged either.
sed -i 's/, covr//g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Mon Mar 11 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.0.3-1
- initial package for Fedora
